Apache HTTP Server Request Library

Data Fields
apreq_parser_t Struct Reference

`#include <apreq_parser.h>`

## Data Fields

apreq_parser_function_t | parser
const char * | content_type
apr_pool_t * | pool
apr_bucket_alloc_t * | bucket_alloc
apr_size_t | brigade_limit
const char * | temp_dir
apreq_hook_t * | hook
void * | ctx

## Detailed Description

A request body parser instance.

## Field Documentation

## ◆ brigade_limit

apr_size_t apreq_parser_t::brigade_limit

the maximum in-memory bytes a brigade may use

## ◆ bucket_alloc

apr_bucket_alloc_t* apreq_parser_t::bucket_alloc

bucket allocator used to create bucket brigades

## ◆ content_type

const char* apreq_parser_t::content_type

the Content-Type request header

## ◆ ctx

void* apreq_parser_t::ctx

internal context pointer used by the parser function

## ◆ hook

apreq_hook_t* apreq_parser_t::hook

linked list of hooks

## ◆ parser

apreq_parser_function_t apreq_parser_t::parser

the function which parses chunks of body data

## ◆ pool

apr_pool_t* apreq_parser_t::pool

a pool which outlasts the bucket_alloc.

## ◆ temp_dir

const char* apreq_parser_t::temp_dir

the directory for generating temporary files

The documentation for this struct was generated from the following file:

- include/apreq_parser.h